rules:
  # Bronze
  action-setup:
    status: exempt
    comment: |
      This integration does not provide additional actions.
  appropriate-polling: todo
  brands: done
  common-modules: todo
  config-flow-test-coverage: todo
  config-flow: todo
  dependency-transparency:
    status: todo
    comment: |
      CI pipeline for publishing is not on GH repo.
  docs-actions:
    status: exempt
    comment: |
      This integration does not provide additional actions.
  docs-high-level-description: todo
  docs-installation-instructions: todo
  docs-removal-instructions: todo
  entity-event-setup: todo
  entity-unique-id: todo
  has-entity-name: todo
  runtime-data: todo
  test-before-configure: todo
  test-before-setup: todo
  unique-config-entry: todo

  # Silver
  action-exceptions: todo
  config-entry-unloading: todo
  docs-configuration-parameters: todo
  docs-installation-parameters: todo
  entity-unavailable: todo
  integration-owner: done
  log-when-unavailable: todo
  parallel-updates: todo
  reauthentication-flow:
    status: exempt
    comment: |
      This integration does not require authentication.
  test-coverage: todo
  # Gold
  devices: todo
  diagnostics: todo
  discovery-update-info:
    status: exempt
    comment: |
      The device does not support discovery.
  discovery:
    status: exempt
    comment: |
      The device does not support discovery.
  docs-data-update: todo
  docs-examples: todo
  docs-known-limitations: todo
  docs-supported-devices: todo
  docs-supported-functions: todo
  docs-troubleshooting: todo
  docs-use-cases: todo
  dynamic-devices:
    status: exempt
    comment: |
      This integration is not a hub and only represents a single device.
  entity-category: todo
  entity-device-class: todo
  entity-disabled-by-default: todo
  entity-translations:
    status: exempt
    comment: |
      There are no entities to translate.
  exception-translations: todo
  icon-translations:
    status: exempt
    comment: |
      There are no entities that require icons.
  reconfiguration-flow: todo
  repair-issues:
    status: exempt
    comment: |
      This integration doesn't have any cases where raising an issue is needed. An issue will be implemented for yaml import once a config flow is added.
  stale-devices:
    status: exempt
    comment: |
      This integration is not a hub and only represents a single device.

  # Platinum
  async-dependency: todo
  inject-websession:
    status: exempt
    comment: |
      This integration uses telnet or serial exclusively and does not make http calls.
  strict-typing: todo
